select
     a.cucd, a.cunm,
     b.cuscd, b.spnm,
     /***ヘッダー変更時にも必要***/
     a.com3,
     cusacls, /*小売売価表示区分 0:しない,1:する*/
     /***表示押下時に必要***/
     nvl(m90.snum1,99) maxvlin, /*伝票行*/
     a.cutax,
     case when nvl(:m994r01,'0')<>'0' and nvl(a.cutax,'0')<>'0' then '税込'
          else null end lblcutax,   /*消費税伝票が原価総額の得意先かつ、994で総額得意先は単価入力も税込表示とされているときにラベル表示*/
     a.cutaxdiv,
     /***新規表示時のみ使用***/
     a.dcubcd, a.dcls,
     b.spktcd, m05.ktktnm spktnm, /*m05.spktnm*/
     b.cshcd cudcd, m036.cshnm cudnm,  /*センター*/
     a.ltxt1, a.ltxt2, a.dtxt1, a.dtxt2, a.com2 com,
     nvl(b.spstp,a.custp) stp /*not null なら新規のみ不可*/
from afm90 m90,
     afm05 m05/*032の倉庫*/,
     afm036 m036,
     afm032 b, afm03 a
where a.cucd = b.cucd(+)
  and b.cucd=m036.cucd(+) and b.cshcd=m036.cshcd(+)
  and b.spktcd = m05.ktktcd(+)
  and m90.cls(+) = '9' and a.cudenp2=m90.scls1(+)
  and a.cucd=:cucd 
  and (:cuscd is null or b.cuscd=:cuscd) /*ヘッダー変更時にも呼ぶため*/